// Compiled shader for custom platforms, uncompressed size: 48.2KB

Shader "Scatterer/sunFlare" {
SubShader { 
 Tags { "QUEUE"="Transparent" "IgnoreProjector"="True" "RenderType"="Transparent" }


 // Stats for Vertex shader:
 //        d3d9 : 2 math
 //        gles : 1 math
 //      opengl : 1 math
 // Stats for Fragment shader:
 //       d3d11 : 82 math, 12 texture
 //        d3d9 : 124 math, 12 texture
 Pass {
  Tags { "QUEUE"="Transparent" "RenderType"="Transparent" }
  ZTest False
  ZWrite Off
  Cull Off
  Blend One OneMinusSrcColor
  GpuProgramID 47030
Program "vp" {
SubProgram "opengl " {
// Stats: 1 math
"!!GLSL#version 120

#ifdef VERTEX
varying vec2 xlv_TEXCOORD0;
void main ()
{
  vec4 tmpvar_1;
  tmpvar_1.zw = vec2(1.0, 1.0);
  tmpvar_1.xy = gl_Vertex.xy;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = gl_MultiTexCoord0.xy;
}


#endif
#ifdef FRAGMENT
#ifndef SHADER_TARGET
    #define SHADER_TARGET 30
#endif
#ifndef UNITY_VERSION
    #define UNITY_VERSION 524
#endif
#ifndef SHADER_API_OPENGL
    #define SHADER_API_OPENGL 1
#endif
#ifndef SHADER_API_DESKTOP
    #define SHADER_API_DESKTOP 1
#endif

#line 273
struct v2f_vertex_lit {
    vec2 uv;
    vec4 diff;
    vec4 spec;
};
#line 439
struct v2f_img {
    vec4 pos;
    vec2 uv;
};
#line 433
struct appdata_img {
    vec4 vertex;
    vec2 texcoord;
};
#line 59
struct v2f {
    vec4 pos;
    vec2 uv;
};
#line 32
struct appdata_base {
    vec4 vertex;
    vec3 normal;
    vec4 texcoord;
};
#line 16
uniform vec4 _Time;
uniform vec4 _SinTime;
uniform vec4 _CosTime;
uniform vec4 unity_DeltaTime;
#line 21
uniform vec3 _WorldSpaceCameraPos;
#line 27
uniform vec4 _ProjectionParams;
#line 33
uniform vec4 _ScreenParams;
#line 40
uniform vec4 _ZBufferParams;
#line 46
uniform vec4 unity_OrthoParams;
#line 51
uniform vec4 unity_CameraWorldClipPlanes[6];
#line 56
uniform mat4 unity_CameraProjection;
uniform mat4 unity_CameraInvProjection;
#line 69
uniform vec4 _WorldSpaceLightPos0;
uniform vec4 _LightPositionRange;
#line 74
uniform vec4 unity_4LightPosX0;
uniform vec4 unity_4LightPosY0;
uniform vec4 unity_4LightPosZ0;
uniform vec4 unity_4LightAtten0;
#line 79
uniform vec4 unity_LightColor[8];
uniform vec4 unity_LightPosition[8];
#line 87
uniform vec4 unity_LightAtten[8];
uniform vec4 unity_SpotDirection[8];
#line 91
uniform vec4 unity_SHAr;
uniform vec4 unity_SHAg;
uniform vec4 unity_SHAb;
uniform vec4 unity_SHBr;
#line 95
uniform vec4 unity_SHBg;
uniform vec4 unity_SHBb;
uniform vec4 unity_SHC;
#line 101
uniform vec3 unity_LightColor0;
uniform vec3 unity_LightColor1;
uniform vec3 unity_LightColor2;
uniform vec3 unity_LightColor3;
#line 108
uniform vec4 unity_ShadowSplitSpheres[4];
uniform vec4 unity_ShadowSplitSqRadii;
uniform vec4 unity_LightShadowBias;
uniform vec4 _LightSplitsNear;
#line 112
uniform vec4 _LightSplitsFar;
uniform mat4 unity_World2Shadow[4];
uniform vec4 _LightShadowData;
uniform vec4 unity_ShadowFadeCenterAndType;
#line 127



#line 134
uniform mat4 _Object2World;
uniform mat4 _World2Object;
uniform vec4 unity_LODFade;
uniform vec4 unity_WorldTransformParams;
#line 144

#line 154

uniform vec4 glstate_lightmodel_ambient;
#line 160
uniform mat4 unity_MatrixV;
uniform mat4 unity_MatrixVP;
#line 165
uniform vec4 unity_AmbientSky;
uniform vec4 unity_AmbientEquator;
uniform vec4 unity_AmbientGround;
#line 175
uniform vec4 unity_FogColor;
#line 180
uniform vec4 unity_FogParams;
#line 188
uniform sampler2D unity_Lightmap;
uniform sampler2D unity_LightmapInd;
#line 193
uniform sampler2D unity_DynamicLightmap;
uniform sampler2D unity_DynamicDirectionality;
uniform sampler2D unity_DynamicNormal;
#line 198
uniform vec4 unity_LightmapST;
uniform vec4 unity_DynamicLightmapST;
#line 206
uniform samplerCube unity_SpecCube0;
uniform samplerCube unity_SpecCube1;
#line 210
uniform vec4 unity_SpecCube0_BoxMax;
uniform vec4 unity_SpecCube0_BoxMin;
uniform vec4 unity_SpecCube0_ProbePosition;
uniform vec4 unity_SpecCube0_HDR;
#line 215
uniform vec4 unity_SpecCube1_BoxMax;
uniform vec4 unity_SpecCube1_BoxMin;
uniform vec4 unity_SpecCube1_ProbePosition;
uniform vec4 unity_SpecCube1_HDR;
#line 8
uniform vec4 unity_ColorSpaceGrey;
uniform vec4 unity_ColorSpaceDouble;
uniform vec4 unity_ColorSpaceDielectricSpec;
uniform vec4 unity_ColorSpaceLuminance;
#line 61
#line 67
#line 73
#line 80
#line 95
#line 102
#line 117
#line 124
#line 131
#line 149
#line 182
#line 207
#line 213
#line 235
#line 252
#line 279
#line 290
#line 300
#line 330
#line 347
#line 352
#line 359
#line 372
#line 387
#line 392
uniform vec4 unity_Lightmap_HDR;
#line 403
uniform vec4 unity_DynamicLightmap_HDR;
#line 416
#line 445
#line 451
#line 461
#line 470
#line 477
#line 486
#line 494
#line 503
#line 522
#line 528
#line 536
#line 547
#line 552
#line 574
#line 599
#line 622
#line 631
#line 641
#line 676
#line 25
uniform vec3 _Globals_WorldCameraPos;
uniform vec3 _Globals_Origin;
uniform float sunGlareScale;
#line 30
uniform sampler2D sunSpikes;
uniform sampler2D sunFlare;
uniform sampler2D sunGhost1;
uniform sampler2D sunGhost2;
#line 35
uniform sampler2D _customDepthTexture;
#line 40
uniform vec3 flareSettings;
uniform vec3 spikesSettings;
uniform mat4 ghost1Settings;
#line 44
uniform mat4 ghost2Settings;
#line 48
uniform float Rg;
uniform float Rt;
uniform sampler2D _Sky_Transmittance;
#line 52
uniform float useTransmittance;
uniform vec3 _Sun_WorldSunDir;
#line 56
uniform vec3 sunViewPortPos;
uniform float aspectRatio;
#line 65
#line 73
#line 92
#line 97
#line 133
#line 92
float SQRT( in float f, in float err ) {
    return (( (f >= 0.0) ) ? ( sqrt(f) ) : ( err ));
}
#line 73
vec2 GetTransmittanceUV( in float r, in float mu ) {
    float uR;
    float uMu;
    uR = sqrt(((r - Rg) / (Rt - Rg)));
    #line 77
    uMu = (atan((((mu + 0.15) / 1.15) * tan(1.5))) / 1.5);
    #line 82
    return vec2( uMu, uR);
}
#line 85
vec3 Transmittance( in float r, in float mu ) {
    #line 87
    vec2 uv = GetTransmittanceUV( r, mu);
    return texture2D( _Sky_Transmittance, uv).xyz;
}
#line 97
vec3 getExtinction( in vec3 camera, in vec3 viewdir ) {
    vec3 extinction = vec3( 1.0, 1.0, 1.0);
    #line 103
    float r = length(camera);
    float rMu = dot( camera, viewdir);
    float mu = (rMu / r);
    #line 107
    float deltaSq = SQRT( (((rMu * rMu) - (r * r)) + (Rt * Rt)), 1e-06);
    float din = max( ((-rMu) - deltaSq), 0.0);
    #line 111
    if ((din > 0.0)){
        camera += (din * viewdir);
        rMu += din;
        #line 115
        mu = (rMu / Rt);
        r = Rt;
    }
    #line 127
    extinction = (( (r > Rt) ) ? ( vec3( 1.0, 1.0, 1.0) ) : ( Transmittance( r, mu) ));
    return extinction;
}
#line 133
vec4 frag( in v2f IN ) {
    vec3 WSD = _Sun_WorldSunDir;
    #line 137
    vec3 WCP = _Globals_WorldCameraPos;
    vec3 sunColor = vec3( 0.0);
    #line 143
    sunColor += (flareSettings.x * texture2D( sunFlare, (((((IN.uv.xy - sunViewPortPos.xy) * vec2( (aspectRatio * flareSettings.y), 1.0)) * flareSettings.z) * sunGlareScale) + 0.5)).xyz);
    sunColor += (spikesSettings.x * texture2D( sunSpikes, (((((IN.uv.xy - sunViewPortPos.xy) * vec2( (aspectRatio * spikesSettings.y), 1.0)) * spikesSettings.z) * sunGlareScale) + 0.5)).xyz);
    #line 151
    vec2 toScreenCenter = (sunViewPortPos.xy - 0.5);
    vec3 ghosts = vec3( 0.0);
    #line 155
    int i = 0;
    for ( ; (i < 4); (++i)) {
        #line 159
        ghosts += (ghost1Settings[0][i] * texture2D( sunGhost1, (((((IN.uv.xy - sunViewPortPos.xy) + (toScreenCenter * ghost1Settings[3][i])) * vec2( (aspectRatio * ghost1Settings[1][i]), 1.0)) * ghost1Settings[2][i]) + 0.5)).xyz);
    }
    #line 164
    int j = 0;
    for ( ; (j < 4); (++j)) {
        #line 168
        ghosts += (ghost2Settings[0][j] * texture2D( sunGhost2, (((((IN.uv.xy - sunViewPortPos.xy) + (toScreenCenter * ghost2Settings[3][j])) * vec2( (aspectRatio * ghost2Settings[1][j]), 1.0)) * ghost2Settings[2][j]) + 0.5)).xyz);
    }
    #line 181
    ghosts *= smoothstep( 0.0, 1.0, (1.0 - length(toScreenCenter)));
    sunColor += ghosts;
    #line 185
    float depth = float( texture2D( _customDepthTexture, sunViewPortPos.xy));
    vec3 extinction = getExtinction( WCP, WSD);
    #line 189
    vec3 tempSuncolor = vec3( (( (depth < 1.0) ) ? ( 0.0 ) : ( sunColor )));
    tempSuncolor = (( (useTransmittance > 0.0) ) ? ( (tempSuncolor * extinction) ) : ( tempSuncolor ));
    #line 194
    return vec4( tempSuncolor, 1.0);
}
varying vec2 xlv_TEXCOORD0;
void main() {
    vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.uv = vec2(xlv_TEXCOORD0);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}
/* HLSL2GLSL - NOTE: GLSL optimization failed
(190,51): error: second and third operands of ?: operator must have matching types
(190,22): error: cannot construct `vec3' from a non-numeric data type
*/

#endif
"
}
SubProgram "d3d9 " {
// Stats: 2 math
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
"vs_3_0
def c0, 1, 0, 0, 0
dcl_position v0
dcl_texcoord v1
dcl_position o0
dcl_texcoord o1.xy
mad o0, v0.xyxx, c0.xxyy, c0.yyxx
mov o1.xy, v1

"
}
SubProgram "d3d11 " {
Bind "vertex" Vertex
Bind "texcoord" TexCoord0
"vs_4_0
root12:aaaaaaaa
eefiecedjnkhkmklcdfgipmgpafnhncaemfkpffgabaaaaaaiiabaaaaadaaaaaa
cmaaaaaakaaaaaaapiaaaaaaejfdeheogmaaaaaaadaaaaaaaiaaaaaafaaaaaaa
aaaaaaaaaaaaaaaaadaaaaaaaaaaaaaaapadaaaafjaaaaaaaaaaaaaaaaaaaaaa
adaaaaaaabaaaaaaahaaaaaagaaaaaaaaaaaaaaaaaaaaaaaadaaaaaaacaaaaaa
apadaaaafaepfdejfeejepeoaaeoepfcenebemaafeeffiedepepfceeaaklklkl
epfdeheofaaaaaaaacaaaaaaaiaaaaaadiaaaaaaaaaaaaaaabaaaaaaadaaaaaa
aaaaaaaaapaaaaaaeeaaaaaaaaaaaaaaaaaaaaaaadaaaaaaabaaaaaaadamaaaa
fdfgfpfaepfdejfeejepeoaafeeffiedepepfceeaaklklklfdeieefciiaaaaaa
eaaaabaaccaaaaaafpaaaaaddcbabaaaaaaaaaaafpaaaaaddcbabaaaacaaaaaa
ghaaaaaepccabaaaaaaaaaaaabaaaaaagfaaaaaddccabaaaabaaaaaadgaaaaaf
dccabaaaaaaaaaaaegbabaaaaaaaaaaadgaaaaaimccabaaaaaaaaaaaaceaaaaa
aaaaaaaaaaaaaaaaaaaaiadpaaaaiadpdgaaaaafdccabaaaabaaaaaaegbabaaa
acaaaaaadoaaaaab"
}
SubProgram "gles " {
// Stats: 1 math
"!!GLES
#version 100

#ifdef VERTEX
attribute vec4 _glesVertex;
attribute vec4 _glesMultiTexCoord0;
varying highp vec2 xlv_TEXCOORD0;
void main ()
{
  highp vec4 tmpvar_1;
  tmpvar_1.zw = vec2(1.0, 1.0);
  tmpvar_1.xy = _glesVertex.xy;
  gl_Position = tmpvar_1;
  xlv_TEXCOORD0 = _glesMultiTexCoord0.xy;
}


#endif
#ifdef FRAGMENT
#ifndef SHADER_TARGET
    #define SHADER_TARGET 30
#endif
#ifndef UNITY_NO_DXT5nm
    #define UNITY_NO_DXT5nm 1
#endif
#ifndef UNITY_NO_RGBM
    #define UNITY_NO_RGBM 1
#endif
#ifndef UNITY_NO_SCREENSPACE_SHADOWS
    #define UNITY_NO_SCREENSPACE_SHADOWS 1
#endif
#ifndef UNITY_NO_LINEAR_COLORSPACE
    #define UNITY_NO_LINEAR_COLORSPACE 1
#endif
#ifndef UNITY_VERSION
    #define UNITY_VERSION 524
#endif
#ifndef SHADER_API_GLES
    #define SHADER_API_GLES 1
#endif
#ifndef SHADER_API_MOBILE
    #define SHADER_API_MOBILE 1
#endif

#line 273
struct v2f_vertex_lit {
    highp vec2 uv;
    lowp vec4 diff;
    lowp vec4 spec;
};
#line 439
struct v2f_img {
    highp vec4 pos;
    mediump vec2 uv;
};
#line 433
struct appdata_img {
    highp vec4 vertex;
    mediump vec2 texcoord;
};
#line 59
struct v2f {
    highp vec4 pos;
    highp vec2 uv;
};
#line 32
struct appdata_base {
    highp vec4 vertex;
    highp vec3 normal;
    highp vec4 texcoord;
};
#line 16
uniform highp vec4 _Time;
uniform highp vec4 _SinTime;
uniform highp vec4 _CosTime;
uniform highp vec4 unity_DeltaTime;
#line 21
uniform highp vec3 _WorldSpaceCameraPos;
#line 27
uniform highp vec4 _ProjectionParams;
#line 33
uniform highp vec4 _ScreenParams;
#line 40
uniform highp vec4 _ZBufferParams;
#line 46
uniform highp vec4 unity_OrthoParams;
#line 51
uniform highp vec4 unity_CameraWorldClipPlanes[6];
#line 56
uniform highp mat4 unity_CameraProjection;
uniform highp mat4 unity_CameraInvProjection;
#line 69
uniform highp vec4 _WorldSpaceLightPos0;
uniform highp vec4 _LightPositionRange;
#line 74
uniform highp vec4 unity_4LightPosX0;
uniform highp vec4 unity_4LightPosY0;
uniform highp vec4 unity_4LightPosZ0;
uniform mediump vec4 unity_4LightAtten0;
#line 79
uniform mediump vec4 unity_LightColor[8];
uniform highp vec4 unity_LightPosition[8];
#line 87
uniform mediump vec4 unity_LightAtten[8];
uniform highp vec4 unity_SpotDirection[8];
#line 91
uniform mediump vec4 unity_SHAr;
uniform mediump vec4 unity_SHAg;
uniform mediump vec4 unity_SHAb;
uniform mediump vec4 unity_SHBr;
#line 95
uniform mediump vec4 unity_SHBg;
uniform mediump vec4 unity_SHBb;
uniform mediump vec4 unity_SHC;
#line 101
uniform mediump vec3 unity_LightColor0;
uniform mediump vec3 unity_LightColor1;
uniform mediump vec3 unity_LightColor2;
uniform mediump vec3 unity_LightColor3;
#line 108
uniform highp vec4 unity_ShadowSplitSpheres[4];
uniform highp vec4 unity_ShadowSplitSqRadii;
uniform highp vec4 unity_LightShadowBias;
uniform highp vec4 _LightSplitsNear;
#line 112
uniform highp vec4 _LightSplitsFar;
uniform highp mat4 unity_World2Shadow[4];
uniform mediump vec4 _LightShadowData;
uniform highp vec4 unity_ShadowFadeCenterAndType;
#line 127
uniform highp mat4 glstate_matrix_mvp;
uniform highp mat4 glstate_matrix_modelview0;
uniform highp mat4 glstate_matrix_invtrans_modelview0;
#line 134
uniform highp mat4 _Object2World;
uniform highp mat4 _World2Object;
uniform highp vec4 unity_LODFade;
uniform highp vec4 unity_WorldTransformParams;
#line 144
uniform highp mat4 glstate_matrix_transpose_modelview0;
#line 154
uniform highp mat4 glstate_matrix_projection;
uniform lowp vec4 glstate_lightmodel_ambient;
#line 160
uniform highp mat4 unity_MatrixV;
uniform highp mat4 unity_MatrixVP;
#line 165
uniform lowp vec4 unity_AmbientSky;
uniform lowp vec4 unity_AmbientEquator;
uniform lowp vec4 unity_AmbientGround;
#line 175
uniform lowp vec4 unity_FogColor;
#line 180
uniform highp vec4 unity_FogParams;
#line 188
uniform sampler2D unity_Lightmap;
uniform sampler2D unity_LightmapInd;
#line 193
uniform sampler2D unity_DynamicLightmap;
uniform sampler2D unity_DynamicDirectionality;
uniform sampler2D unity_DynamicNormal;
#line 198
uniform highp vec4 unity_LightmapST;
uniform highp vec4 unity_DynamicLightmapST;
#line 206
uniform samplerCube unity_SpecCube0;
uniform samplerCube unity_SpecCube1;
#line 210
uniform highp vec4 unity_SpecCube0_BoxMax;
uniform highp vec4 unity_SpecCube0_BoxMin;
uniform highp vec4 unity_SpecCube0_ProbePosition;
uniform mediump vec4 unity_SpecCube0_HDR;
#line 215
uniform highp vec4 unity_SpecCube1_BoxMax;
uniform highp vec4 unity_SpecCube1_BoxMin;
uniform highp vec4 unity_SpecCube1_ProbePosition;
uniform mediump vec4 unity_SpecCube1_HDR;
#line 8
uniform lowp vec4 unity_ColorSpaceGrey;
uniform lowp vec4 unity_ColorSpaceDouble;
uniform mediump vec4 unity_ColorSpaceDielectricSpec;
uniform mediump vec4 unity_ColorSpaceLuminance;
#line 61
#line 67
#line 73
#line 80
#line 95
#line 102
#line 117
#line 124
#line 131
#line 149
#line 182
#line 207
#line 213
#line 235
#line 252
#line 279
#line 290
#line 300
#line 330
#line 347
#line 352
#line 359
#line 372
#line 387
#line 392
uniform mediump vec4 unity_Lightmap_HDR;
#line 403
uniform mediump vec4 unity_DynamicLightmap_HDR;
#line 416
#line 445
#line 451
#line 461
#line 470
#line 477
#line 486
#line 494
#line 503
#line 522
#line 528
#line 536
#line 547
#line 552
#line 574
#line 599
#line 622
#line 631
#line 641
#line 676
#line 25
uniform highp vec3 _Globals_WorldCameraPos;
uniform highp vec3 _Globals_Origin;
uniform highp float sunGlareScale;
#line 30
uniform sampler2D sunSpikes;
uniform sampler2D sunFlare;
uniform sampler2D sunGhost1;
uniform sampler2D sunGhost2;
#line 35
uniform sampler2D _customDepthTexture;
#line 40
uniform highp vec3 flareSettings;
uniform highp vec3 spikesSettings;
uniform highp mat4 ghost1Settings;
#line 44
uniform highp mat4 ghost2Settings;
#line 48
uniform highp float Rg;
uniform highp float Rt;
uniform sampler2D _Sky_Transmittance;
#line 52
uniform highp float useTransmittance;
uniform highp vec3 _Sun_WorldSunDir;
#line 56
uniform highp vec3 sunViewPortPos;
uniform highp float aspectRatio;
#line 65
#line 73
#line 92
#line 97
#line 133
#line 92
highp float SQRT( in highp float f, in highp float err ) {
    return (( (f >= 0.0) ) ? ( sqrt(f) ) : ( err ));
}
#line 73
highp vec2 GetTransmittanceUV( in highp float r, in highp float mu ) {
    highp float uR;
    highp float uMu;
    uR = sqrt(((r - Rg) / (Rt - Rg)));
    #line 77
    uMu = (atan((((mu + 0.15) / 1.15) * tan(1.5))) / 1.5);
    #line 82
    return vec2( uMu, uR);
}
#line 85
highp vec3 Transmittance( in highp float r, in highp float mu ) {
    #line 87
    highp vec2 uv = GetTransmittanceUV( r, mu);
    return texture2D( _Sky_Transmittance, uv).xyz;
}
#line 97
highp vec3 getExtinction( in highp vec3 camera, in highp vec3 viewdir ) {
    highp vec3 extinction = vec3( 1.0, 1.0, 1.0);
    #line 103
    highp float r = length(camera);
    highp float rMu = dot( camera, viewdir);
    highp float mu = (rMu / r);
    #line 107
    highp float deltaSq = SQRT( (((rMu * rMu) - (r * r)) + (Rt * Rt)), 1e-06);
    highp float din = max( ((-rMu) - deltaSq), 0.0);
    #line 111
    if ((din > 0.0)){
        camera += (din * viewdir);
        rMu += din;
        #line 115
        mu = (rMu / Rt);
        r = Rt;
    }
    #line 127
    extinction = (( (r > Rt) ) ? ( vec3( 1.0, 1.0, 1.0) ) : ( Transmittance( r, mu) ));
    return extinction;
}
#line 133
highp vec4 frag( in v2f IN ) {
    highp vec3 WSD = _Sun_WorldSunDir;
    #line 137
    highp vec3 WCP = _Globals_WorldCameraPos;
    highp vec3 sunColor = vec3( 0.0);
    #line 143
    sunColor += (flareSettings.x * texture2D( sunFlare, (((((IN.uv.xy - sunViewPortPos.xy) * vec2( (aspectRatio * flareSettings.y), 1.0)) * flareSettings.z) * sunGlareScale) + 0.5)).xyz);
    sunColor += (spikesSettings.x * texture2D( sunSpikes, (((((IN.uv.xy - sunViewPortPos.xy) * vec2( (aspectRatio * spikesSettings.y), 1.0)) * spikesSettings.z) * sunGlareScale) + 0.5)).xyz);
    #line 151
    highp vec2 toScreenCenter = (sunViewPortPos.xy - 0.5);
    highp vec3 ghosts = vec3( 0.0);
    #line 155
    highp int i = 0;
    for ( ; (i < 4); (++i)) {
        #line 159
        ghosts += (ghost1Settings[0][i] * texture2D( sunGhost1, (((((IN.uv.xy - sunViewPortPos.xy) + (toScreenCenter * ghost1Settings[3][i])) * vec2( (aspectRatio * ghost1Settings[1][i]), 1.0)) * ghost1Settings[2][i]) + 0.5)).xyz);
    }
    #line 164
    highp int j = 0;
    for ( ; (j < 4); (++j)) {
        #line 168
        ghosts += (ghost2Settings[0][j] * texture2D( sunGhost2, (((((IN.uv.xy - sunViewPortPos.xy) + (toScreenCenter * ghost2Settings[3][j])) * vec2( (aspectRatio * ghost2Settings[1][j]), 1.0)) * ghost2Settings[2][j]) + 0.5)).xyz);
    }
    #line 181
    ghosts *= smoothstep( 0.0, 1.0, (1.0 - length(toScreenCenter)));
    sunColor += ghosts;
    #line 185
    highp float depth = float( texture2D( _customDepthTexture, sunViewPortPos.xy));
    highp vec3 extinction = getExtinction( WCP, WSD);
    #line 189
    highp vec3 tempSuncolor = vec3( (( (depth < 1.0) ) ? ( 0.0 ) : ( sunColor )));
    tempSuncolor = (( (useTransmittance > 0.0) ) ? ( (tempSuncolor * extinction) ) : ( tempSuncolor ));
    #line 194
    return vec4( tempSuncolor, 1.0);
}
varying highp vec2 xlv_TEXCOORD0;
void main() {
    highp vec4 xl_retval;
    v2f xlt_IN;
    xlt_IN.pos = vec4(0.0);
    xlt_IN.uv = vec2(xlv_TEXCOORD0);
    xl_retval = frag( xlt_IN);
    gl_FragData[0] = vec4(xl_retval);
}
/* HLSL2GLSL - NOTE: GLSL optimization failed
(190,57): error: second and third operands of ?: operator must have matching types
(190,28): error: cannot construct `vec3' from a non-numeric data type
*/

#endif
"
}
SubProgram "gles3 " {
"!!GLES3
#ifdef VERTEX
#version 300 es
precision highp float;
precision highp int;
in highp vec4 in_POSITION0;
in highp vec4 in_TEXCOORD0;
out highp vec2 vs_TEXCOORD0;
void main()
{
    gl_Position.xy = in_POSITION0.xy;
    gl_Position.zw = vec2(1.0, 1.0);
    vs_TEXCOORD0.xy = in_TEXCOORD0.xy;
    return;
}

#endif
#ifdef FRAGMENT
#version 300 es
precision highp float;
precision highp int;
uniform 	vec4 _Time;
uniform 	vec4 _SinTime;
uniform 	vec4 _CosTime;
uniform 	vec4 unity_DeltaTime;
uniform 	vec3 _WorldSpaceCameraPos;
uniform 	vec4 _ProjectionParams;
uniform 	vec4 _ScreenParams;
uniform 	vec4 _ZBufferParams;
uniform 	vec4 unity_OrthoParams;
uniform 	vec4 unity_CameraWorldClipPlanes[6];
uniform 	mat4 unity_CameraProjection;
uniform 	mat4 unity_CameraInvProjection;
uniform 	vec4 _WorldSpaceLightPos0;
uniform 	vec4 _LightPositionRange;
uniform 	vec4 unity_4LightPosX0;
uniform 	vec4 unity_4LightPosY0;
uniform 	vec4 unity_4LightPosZ0;
uniform 	mediump vec4 unity_4LightAtten0;
uniform 	mediump vec4 unity_LightColor[8];
uniform 	vec4 unity_LightPosition[8];
uniform 	mediump vec4 unity_LightAtten[8];
uniform 	vec4 unity_SpotDirection[8];
uniform 	mediump vec4 unity_SHAr;
uniform 	mediump vec4 unity_SHAg;
uniform 	mediump vec4 unity_SHAb;
uniform 	mediump vec4 unity_SHBr;
uniform 	mediump vec4 unity_SHBg;
uniform 	mediump vec4 unity_SHBb;
uniform 	mediump vec4 unity_SHC;
uniform 	mediump vec3 unity_LightColor0;
uniform 	mediump vec3 unity_LightColor1;
uniform 	mediump vec3 unity_LightColor2;
uniform 	mediump vec3 unity_LightColor3;
uniform 	vec4 unity_ShadowSplitSpheres[4];
uniform 	vec4 unity_ShadowSplitSqRadii;
uniform 	vec4 unity_LightShadowBias;
uniform 	vec4 _LightSplitsNear;
uniform 	vec4 _LightSplitsFar;
uniform 	mat4 unity_World2Shadow[4];
uniform 	mediump vec4 _LightShadowData;
uniform 	vec4 unity_ShadowFadeCenterAndType;
uniform 	mat4 glstate_matrix_mvp;
uniform 	mat4 glstate_matrix_modelview0;
uniform 	mat4 glstate_matrix_invtrans_modelview0;
uniform 	mat4 _Object2World;
uniform 	mat4 _World2Object;
uniform 	vec4 unity_LODFade;
uniform 	vec4 unity_WorldTransformParams;
uniform 	mat4 glstate_matrix_transpose_modelview0;
uniform 	mat4 glstate_matrix_projection;
uniform 	lowp vec4 glstate_lightmodel_ambient;
uniform 	mat4 unity_MatrixV;
uniform 	mat4 unity_MatrixVP;
uniform 	lowp vec4 unity_AmbientSky;
uniform 	lowp vec4 unity_AmbientEquator;
uniform 	lowp vec4 unity_AmbientGround;
uniform 	lowp vec4 unity_FogColor;
uniform 	vec4 unity_FogParams;
uniform 	vec4 unity_LightmapST;
uniform 	vec4 unity_DynamicLightmapST;
uniform 	vec4 unity_SpecCube0_BoxMax;
uniform 	vec4 unity_SpecCube0_BoxMin;
uniform 	vec4 unity_SpecCube0_ProbePosition;
uniform 	mediump vec4 unity_SpecCube0_HDR;
uniform 	vec4 unity_SpecCube1_BoxMax;
uniform 	vec4 unity_SpecCube1_BoxMin;
uniform 	vec4 unity_SpecCube1_ProbePosition;
uniform 	mediump vec4 unity_SpecCube1_HDR;
uniform 	lowp vec4 unity_ColorSpaceGrey;
uniform 	lowp vec4 unity_ColorSpaceDouble;
uniform 	mediump vec4 unity_ColorSpaceDielectricSpec;
uniform 	mediump vec4 unity_ColorSpaceLuminance;
uniform 	mediump vec4 unity_Lightmap_HDR;
uniform 	mediump vec4 unity_DynamicLightmap_HDR;
uniform 	vec3 _Globals_WorldCameraPos;
uniform 	vec3 _Globals_Origin;
uniform 	float sunGlareScale;
uniform 	vec3 flareSettings;
uniform 	vec3 spikesSettings;
uniform 	mat4 ghost1Settings;
uniform 	mat4 ghost2Settings;
uniform 	float Rg;
uniform 	float Rt;
uniform 	float useTransmittance;
uniform 	vec3 _Sun_WorldSunDir;
uniform 	vec3 sunViewPortPos;
uniform 	float aspectRatio;
uniform lowp sampler2D sunFlare;
uniform lowp sampler2D sunSpikes;
uniform lowp sampler2D sunGhost1;
uniform lowp sampler2D sunGhost2;
uniform lowp sampler2D _customDepthTexture;
uniform lowp sampler2D _Sky_Transmittance;
in highp vec2 vs_TEXCOORD0;
layout(location = 0) out highp vec4 SV_Target0;
highp vec3 t0;
bool tb0;
highp vec4 t1;
lowp vec3 t10_1;
highp vec4 t2;
lowp vec3 t10_2;
highp vec3 t3;
lowp vec3 t10_3;
highp vec4 t4;
highp vec4 t5;
lowp vec3 t10_5;
highp vec4 t6;
lowp vec3 t10_6;
highp float t7;
lowp vec3 t10_7;
bool tb7;
bool tb8;
highp float t14;
bool tb14;
highp vec2 t16;
highp float t21;
lowp float t10_21;
bool tb21;
highp float t22;
void main()
{
    t0.x = dot(_Globals_WorldCameraPos.xyzx.xyz, _Globals_WorldCameraPos.xyzx.xyz);
    t7 = dot(_Globals_WorldCameraPos.xyzx.xyz, _Sun_WorldSunDir.xyzx.xyz);
    t14 = t7 * t7 + (-t0.x);
    t1.x = sqrt(t0.x);
    t0.x = Rt * Rt + t14;
    tb14 = t0.x>=0.0;
    t0.x = sqrt(t0.x);
    t0.x = (tb14) ? (-t0.x) : -9.99999997e-007;
    t0.x = t0.x + (-t7);
    t0.x = max(t0.x, 0.0);
    t14 = t0.x + t7;
    tb0 = 0.0<t0.x;
    t1.y = t7 / t1.x;
    t2.y = t14 / Rt;
    t2.x = Rt;
    t0.xy = (bool(tb0)) ? t2.xy : t1.xy;
    t7 = t0.y + 0.150000006;
    t7 = t7 * 12.262105;
    t14 = max(abs(t7), 1.0);
    t14 = float(1.0) / t14;
    t21 = min(abs(t7), 1.0);
    t14 = t14 * t21;
    t21 = t14 * t14;
    t1.x = t21 * 0.0208350997 + -0.0851330012;
    t1.x = t21 * t1.x + 0.180141002;
    t1.x = t21 * t1.x + -0.330299497;
    t21 = t21 * t1.x + 0.999866009;
    t1.x = t21 * t14;
    t1.x = t1.x * -2.0 + 1.57079637;
    tb8 = 1.0<abs(t7);
    t7 = min(t7, 1.0);
    tb7 = t7<(-t7);
    t1.x = tb8 ? t1.x : float(0.0);
    t14 = t14 * t21 + t1.x;
    t7 = (tb7) ? (-t14) : t14;
    t1.x = t7 * 0.666666687;
    t7 = t0.x + (-Rg);
    tb0 = Rt<t0.x;
    t14 = (-Rg) + Rt;
    t7 = t7 / t14;
    t1.y = sqrt(t7);
    t10_7.xyz = texture(_Sky_Transmittance, t1.xy).xyz;
    t0.xyz = (bool(tb0)) ? vec3(1.0, 1.0, 1.0) : t10_7.xyz;
    t1.yw = vec2(1.0, 1.0);
    t2 = ghost1Settings[1].zxwy * vec4(vec4(aspectRatio, aspectRatio, aspectRatio, aspectRatio));
    t1.xz = t2.yw;
    t3.xy = sunViewPortPos.xyzx.xy + vec2(-0.5, -0.5);
    t4 = vs_TEXCOORD0.xyxy + (-sunViewPortPos.xyzx.xyxy);
    t5 = t3.xyxy * ghost1Settings[3].xxyy + t4.zwzw;
    t1 = t1 * t5;
    t1 = t1 * ghost1Settings[2].xxyy + vec4(0.5, 0.5, 0.5, 0.5);
    t10_5.xyz = texture(sunGhost1, t1.zw).xyz;
    t10_1.xyz = texture(sunGhost1, t1.xy).xyz;
    t5.xyz = t10_5.xyz * ghost1Settings[0].yyy;
    t1.xyz = ghost1Settings[0].xxx * t10_1.xyz + t5.xyz;
    t2.yw = vec2(1.0, 1.0);
    t5 = t3.xyxy * ghost1Settings[3].zzww + t4.zwzw;
    t2 = t2 * t5;
    t2 = t2 * ghost1Settings[2].zzww + vec4(0.5, 0.5, 0.5, 0.5);
    t10_5.xyz = texture(sunGhost1, t2.xy).xyz;
    t10_2.xyz = texture(sunGhost1, t2.zw).xyz;
    t1.xyz = ghost1Settings[0].zzz * t10_5.xyz + t1.xyz;
    t1.xyz = ghost1Settings[0].www * t10_2.xyz + t1.xyz;
    t2.yw = vec2(1.0, 1.0);
    t5 = ghost2Settings[1].zxwy * vec4(vec4(aspectRatio, aspectRatio, aspectRatio, aspectRatio));
    t2.xz = t5.yw;
    t6 = t3.xyxy * ghost2Settings[3].xxyy + t4.zwzw;
    t2 = t2 * t6;
    t2 = t2 * ghost2Settings[2].xxyy + vec4(0.5, 0.5, 0.5, 0.5);
    t10_6.xyz = texture(sunGhost2, t2.xy).xyz;
    t10_2.xyz = texture(sunGhost2, t2.zw).xyz;
    t1.xyz = ghost2Settings[0].xxx * t10_6.xyz + t1.xyz;
    t1.xyz = ghost2Settings[0].yyy * t10_2.xyz + t1.xyz;
    t2 = t3.xyxy * ghost2Settings[3].zzww + t4;
    t21 = dot(t3.xy, t3.xy);
    t21 = sqrt(t21);
    t21 = (-t21) + 1.0;
    t21 = max(t21, 0.0);
    t5.yw = vec2(1.0, 1.0);
    t2 = t2 * t5;
    t2 = t2 * ghost2Settings[2].zzww + vec4(0.5, 0.5, 0.5, 0.5);
    t10_3.xyz = texture(sunGhost2, t2.xy).xyz;
    t10_2.xyz = texture(sunGhost2, t2.zw).xyz;
    t1.xyz = ghost2Settings[0].zzz * t10_3.xyz + t1.xyz;
    t1.xyz = ghost2Settings[0].www * t10_2.xyz + t1.xyz;
    t2.z = spikesSettings.xyzx.y * aspectRatio;
    t2.yw = vec2(1.0, 1.0);
    t16.xy = vec2(t2.z * t4.z, t2.w * t4.w);
    t16.xy = t16.xy * spikesSettings.xyzx.zz;
    t16.xy = t16.xy * vec2(vec2(sunGlareScale, sunGlareScale)) + vec2(0.5, 0.5);
    t10_3.xyz = texture(sunSpikes, t16.xy).xyz;
    t3.xyz = t10_3.xyz * spikesSettings.xyzx.xxx;
    t2.x = flareSettings.xyzx.y * aspectRatio;
    t2.xy = vec2(t2.x * t4.z, t2.y * t4.w);
    t2.xy = t2.xy * flareSettings.xyzx.zz;
    t2.xy = t2.xy * vec2(vec2(sunGlareScale, sunGlareScale)) + vec2(0.5, 0.5);
    t10_2.xyz = texture(sunFlare, t2.xy).xyz;
    t2.xyz = flareSettings.xyzx.xxx * t10_2.xyz + t3.xyz;
    t22 = t21 * -2.0 + 3.0;
    t21 = t21 * t21;
    t21 = t21 * t22;
    t1.xyz = t1.xyz * vec3(t21) + t2.xyz;
    t10_21 = texture(_customDepthTexture, sunViewPortPos.xyzx.xy).x;
    tb21 = t10_21<1.0;
    t1.xyz = (bool(tb21)) ? vec3(0.0, 0.0, 0.0) : t1.xyz;
    t0.xyz = t0.xyz * t1.xyz;
    tb21 = 0.0<useTransmittance;
    SV_Target0.xyz = (bool(tb21)) ? t0.xyz : t1.xyz;
    SV_Target0.w = 1.0;
    return;
}

#endif
"
}
SubProgram "glcore " {
"!!GL3x
#ifdef VERTEX
#version 150
#extension GL_ARB_shader_bit_encoding : enable
in  vec4 in_POSITION0;
in  vec4 in_TEXCOORD0;
out vec2 vs_TEXCOORD0;
void main()
{
    gl_Position.xy = in_POSITION0.xy;
    gl_Position.zw = vec2(1.0, 1.0);
    vs_TEXCOORD0.xy = in_TEXCOORD0.xy;
    return;
}

#endif
#ifdef FRAGMENT
#version 150
#extension GL_ARB_shader_bit_encoding : enable
uniform 	vec4 _Time;
uniform 	vec4 _SinTime;
uniform 	vec4 _CosTime;
uniform 	vec4 unity_DeltaTime;
uniform 	vec3 _WorldSpaceCameraPos;
uniform 	vec4 _ProjectionParams;
uniform 	vec4 _ScreenParams;
uniform 	vec4 _ZBufferParams;
uniform 	vec4 unity_OrthoParams;
uniform 	vec4 unity_CameraWorldClipPlanes[6];
uniform 	mat4 unity_CameraProjection;
uniform 	mat4 unity_CameraInvProjection;
uniform 	vec4 _WorldSpaceLightPos0;
uniform 	vec4 _LightPositionRange;
uniform 	vec4 unity_4LightPosX0;
uniform 	vec4 unity_4LightPosY0;
uniform 	vec4 unity_4LightPosZ0;
uniform 	vec4 unity_4LightAtten0;
uniform 	vec4 unity_LightColor[8];
uniform 	vec4 unity_LightPosition[8];
uniform 	vec4 unity_LightAtten[8];
uniform 	vec4 unity_SpotDirection[8];
uniform 	vec4 unity_SHAr;
uniform 	vec4 unity_SHAg;
uniform 	vec4 unity_SHAb;
uniform 	vec4 unity_SHBr;
uniform 	vec4 unity_SHBg;
uniform 	vec4 unity_SHBb;
uniform 	vec4 unity_SHC;
uniform 	vec3 unity_LightColor0;
uniform 	vec3 unity_LightColor1;
uniform 	vec3 unity_LightColor2;
uniform 	vec3 unity_LightColor3;
uniform 	vec4 unity_ShadowSplitSpheres[4];
uniform 	vec4 unity_ShadowSplitSqRadii;
uniform 	vec4 unity_LightShadowBias;
uniform 	vec4 _LightSplitsNear;
uniform 	vec4 _LightSplitsFar;
uniform 	mat4 unity_World2Shadow[4];
uniform 	vec4 _LightShadowData;
uniform 	vec4 unity_ShadowFadeCenterAndType;
uniform 	mat4 glstate_matrix_mvp;
uniform 	mat4 glstate_matrix_modelview0;
uniform 	mat4 glstate_matrix_invtrans_modelview0;
uniform 	mat4 _Object2World;
uniform 	mat4 _World2Object;
uniform 	vec4 unity_LODFade;
uniform 	vec4 unity_WorldTransformParams;
uniform 	mat4 glstate_matrix_transpose_modelview0;
uniform 	mat4 glstate_matrix_projection;
uniform 	vec4 glstate_lightmodel_ambient;
uniform 	mat4 unity_MatrixV;
uniform 	mat4 unity_MatrixVP;
uniform 	vec4 unity_AmbientSky;
uniform 	vec4 unity_AmbientEquator;
uniform 	vec4 unity_AmbientGround;
uniform 	vec4 unity_FogColor;
uniform 	vec4 unity_FogParams;
uniform 	vec4 unity_LightmapST;
uniform 	vec4 unity_DynamicLightmapST;
uniform 	vec4 unity_SpecCube0_BoxMax;
uniform 	vec4 unity_SpecCube0_BoxMin;
uniform 	vec4 unity_SpecCube0_ProbePosition;
uniform 	vec4 unity_SpecCube0_HDR;
uniform 	vec4 unity_SpecCube1_BoxMax;
uniform 	vec4 unity_SpecCube1_BoxMin;
uniform 	vec4 unity_SpecCube1_ProbePosition;
uniform 	vec4 unity_SpecCube1_HDR;
uniform 	vec4 unity_ColorSpaceGrey;
uniform 	vec4 unity_ColorSpaceDouble;
uniform 	vec4 unity_ColorSpaceDielectricSpec;
uniform 	vec4 unity_ColorSpaceLuminance;
uniform 	vec4 unity_Lightmap_HDR;
uniform 	vec4 unity_DynamicLightmap_HDR;
uniform 	vec3 _Globals_WorldCameraPos;
uniform 	vec3 _Globals_Origin;
uniform 	float sunGlareScale;
uniform 	vec3 flareSettings;
uniform 	vec3 spikesSettings;
uniform 	mat4 ghost1Settings;
uniform 	mat4 ghost2Settings;
uniform 	float Rg;
uniform 	float Rt;
uniform 	float useTransmittance;
uniform 	vec3 _Sun_WorldSunDir;
uniform 	vec3 sunViewPortPos;
uniform 	float aspectRatio;
uniform  sampler2D sunFlare;
uniform  sampler2D sunSpikes;
uniform  sampler2D sunGhost1;
uniform  sampler2D sunGhost2;
uniform  sampler2D _customDepthTexture;
uniform  sampler2D _Sky_Transmittance;
in  vec2 vs_TEXCOORD0;
out vec4 SV_Target0;
vec3 t0;
bool tb0;
vec4 t1;
lowp vec4 t10_1;
vec4 t2;
lowp vec4 t10_2;
vec3 t3;
lowp vec4 t10_3;
vec4 t4;
vec4 t5;
lowp vec4 t10_5;
vec4 t6;
lowp vec4 t10_6;
float t7;
bool tb7;
bool tb8;
float t14;
bool tb14;
vec2 t16;
float t21;
bool tb21;
float t22;
void main()
{
    t0.x = dot(_Globals_WorldCameraPos.xyzx.xyz, _Globals_WorldCameraPos.xyzx.xyz);
    t7 = dot(_Globals_WorldCameraPos.xyzx.xyz, _Sun_WorldSunDir.xyzx.xyz);
    t14 = t7 * t7 + (-t0.x);
    t1.x = sqrt(t0.x);
    t0.x = Rt * Rt + t14;
    tb14 = t0.x>=0.0;
    t0.x = sqrt(t0.x);
    t0.x = (tb14) ? (-t0.x) : -9.99999997e-007;
    t0.x = t0.x + (-t7);
    t0.x = max(t0.x, 0.0);
    t14 = t0.x + t7;
    tb0 = 0.0<t0.x;
    t1.y = t7 / t1.x;
    t2.y = t14 / Rt;
    t2.x = Rt;
    t0.xy = (bool(tb0)) ? t2.xy : t1.xy;
    t7 = t0.y + 0.150000006;
    t7 = t7 * 12.262105;
    t14 = max(abs(t7), 1.0);
    t14 = float(1.0) / t14;
    t21 = min(abs(t7), 1.0);
    t14 = t14 * t21;
    t21 = t14 * t14;
    t1.x = t21 * 0.0208350997 + -0.0851330012;
    t1.x = t21 * t1.x + 0.180141002;
    t1.x = t21 * t1.x + -0.330299497;
    t21 = t21 * t1.x + 0.999866009;
    t1.x = t21 * t14;
    t1.x = t1.x * -2.0 + 1.57079637;
    tb8 = 1.0<abs(t7);
    t7 = min(t7, 1.0);
    tb7 = t7<(-t7);
    t1.x = tb8 ? t1.x : float(0.0);
    t14 = t14 * t21 + t1.x;
    t7 = (tb7) ? (-t14) : t14;
    t1.x = t7 * 0.666666687;
    t7 = t0.x + (-Rg);
    tb0 = Rt<t0.x;
    t14 = (-Rg) + Rt;
    t7 = t7 / t14;
    t1.y = sqrt(t7);
    t10_1 = texture(_Sky_Transmittance, t1.xy);
    t0.xyz = (bool(tb0)) ? vec3(1.0, 1.0, 1.0) : t10_1.xyz;
    t1.yw = vec2(1.0, 1.0);
    t2 = ghost1Settings[1].zxwy * vec4(vec4(aspectRatio, aspectRatio, aspectRatio, aspectRatio));
    t1.xz = t2.yw;
    t3.xy = sunViewPortPos.xyzx.xy + vec2(-0.5, -0.5);
    t4 = vs_TEXCOORD0.xyxy + (-sunViewPortPos.xyzx.xyxy);
    t5 = t3.xyxy * ghost1Settings[3].xxyy + t4.zwzw;
    t1 = t1 * t5;
    t1 = t1 * ghost1Settings[2].xxyy + vec4(0.5, 0.5, 0.5, 0.5);
    t10_5 = texture(sunGhost1, t1.zw);
    t10_1 = texture(sunGhost1, t1.xy);
    t5.xyz = t10_5.xyz * ghost1Settings[0].yyy;
    t1.xyz = ghost1Settings[0].xxx * t10_1.xyz + t5.xyz;
    t2.yw = vec2(1.0, 1.0);
    t5 = t3.xyxy * ghost1Settings[3].zzww + t4.zwzw;
    t2 = t2 * t5;
    t2 = t2 * ghost1Settings[2].zzww + vec4(0.5, 0.5, 0.5, 0.5);
    t10_5 = texture(sunGhost1, t2.xy);
    t10_2 = texture(sunGhost1, t2.zw);
    t1.xyz = ghost1Settings[0].zzz * t10_5.xyz + t1.xyz;
    t1.xyz = ghost1Settings[0].www * t10_2.xyz + t1.xyz;
    t2.yw = vec2(1.0, 1.0);
    t5 = ghost2Settings[1].zxwy * vec4(vec4(aspectRatio, aspectRatio, aspectRatio, aspectRatio));
    t2.xz = t5.yw;
    t6 = t3.xyxy * ghost2Settings[3].xxyy + t4.zwzw;
    t2 = t2 * t6;
    t2 = t2 * ghost2Settings[2].xxyy + vec4(0.5, 0.5, 0.5, 0.5);
    t10_6 = texture(sunGhost2, t2.xy);
    t10_2 = texture(sunGhost2, t2.zw);
    t1.xyz = ghost2Settings[0].xxx * t10_6.xyz + t1.xyz;
    t1.xyz = ghost2Settings[0].yyy * t10_2.xyz + t1.xyz;
    t2 = t3.xyxy * ghost2Settings[3].zzww + t4;
    t21 = dot(t3.xy, t3.xy);
    t21 = sqrt(t21);
    t21 = (-t21) + 1.0;
    t21 = max(t21, 0.0);
    t5.yw = vec2(1.0, 1.0);
    t2 = t2 * t5;
    t2 = t2 * ghost2Settings[2].zzww + vec4(0.5, 0.5, 0.5, 0.5);
    t10_3 = texture(sunGhost2, t2.xy);
    t10_2 = texture(sunGhost2, t2.zw);
    t1.xyz = ghost2Settings[0].zzz * t10_3.xyz + t1.xyz;
    t1.xyz = ghost2Settings[0].www * t10_2.xyz + t1.xyz;
    t2.z = spikesSettings.xyzx.y * aspectRatio;
    t2.yw = vec2(1.0, 1.0);
    t16.xy = t2.zw * t4.zw;
    t16.xy = t16.xy * spikesSettings.xyzx.zz;
    t16.xy = t16.xy * vec2(vec2(sunGlareScale, sunGlareScale)) + vec2(0.5, 0.5);
    t10_3 = texture(sunSpikes, t16.xy);
    t3.xyz = t10_3.xyz * spikesSettings.xyzx.xxx;
    t2.x = flareSettings.xyzx.y * aspectRatio;
    t2.xy = t2.xy * t4.zw;
    t2.xy = t2.xy * flareSettings.xyzx.zz;
    t2.xy = t2.xy * vec2(vec2(sunGlareScale, sunGlareScale)) + vec2(0.5, 0.5);
    t10_2 = texture(sunFlare, t2.xy);
    t2.xyz = flareSettings.xyzx.xxx * t10_2.xyz + t3.xyz;
    t22 = t21 * -2.0 + 3.0;
    t21 = t21 * t21;
    t21 = t21 * t22;
    t1.xyz = t1.xyz * vec3(t21) + t2.xyz;
    t10_2 = texture(_customDepthTexture, sunViewPortPos.xyzx.xy);
    tb21 = t10_2.x<1.0;
    t1.xyz = (bool(tb21)) ? vec3(0.0, 0.0, 0.0) : t1.xyz;
    t0.xyz = t0.xyz * t1.xyz;
    tb21 = 0.0<useTransmittance;
    SV_Target0.xyz = (bool(tb21)) ? t0.xyz : t1.xyz;
    SV_Target0.w = 1.0;
    return;
}

#endif
"
}
}
Program "fp" {
SubProgram "opengl " {
"!!GLSL"
}
SubProgram "d3d9 " {
// Stats: 124 math, 12 textures
Matrix 0 [ghost1Settings]
Matrix 4 [ghost2Settings]
Float 12 [Rg]
Float 13 [Rt]
Vector 8 [_Globals_WorldCameraPos]
Vector 15 [_Sun_WorldSunDir]
Float 17 [aspectRatio]
Vector 10 [flareSettings]
Vector 11 [spikesSettings]
Float 9 [sunGlareScale]
Vector 16 [sunViewPortPos]
Float 14 [useTransmittance]
SetTexture 0 [sunSpikes] 2D 0
SetTexture 1 [sunFlare] 2D 1
SetTexture 2 [sunGhost1] 2D 2
SetTexture 3 [sunGhost2] 2D 3
SetTexture 4 [_customDepthTexture] 2D 4
SetTexture 5 [_Sky_Transmittance] 2D 5
"ps_3_0
def c18, 1, 0.5, -0.5, 0
def c19, -2, 3, -9.99999997e-007, 0.150000006
def c20, 12.262105, 0.0208350997, -0.0851330012, 0.180141002
def c21, -0.330299497, 0.999866009, -2, 1.57079637
def c22, 0.666666687, 0, 0, 0
dcl_texcoord v0.xy
dcl_2d s0
dcl_2d s1
dcl_2d s2
dcl_2d s3
dcl_2d s4
dcl_2d s5
dp3 r0.x, c8, c8
rsq r0.x, r0.x
rcp r1.x, r0.x
mul r0.y, r1.x, r1.x
mov r2.xyz, c8
dp3 r0.z, r2, c15
mad r0.y, r0.z, r0.z, -r0.y
mad r0.y, c13.x, c13.x, r0.y
rsq r0.w, r0.y
rcp r0.w, r0.w
cmp r0.y, r0.y, -r0.w, c19.z
add r0.y, r0.y, -r0.z
max r1.z, r0.y, c18.w
add r0.y, r0.z, r1.z
mul r1.y, r0.x, r0.z
rcp r0.x, c13.x
mul r0.y, r0.x, r0.y
mov r0.x, c13.x
cmp r0.xy, -r1.z, r1, r0
add r0.y, r0.y, c19.w
mul r0.y, r0.y, c20.x
add r0.z, r0_abs.y, -c18.x
rcp r0.w, r0_abs.y
cmp r0.z, r0.z, r0.w, c18.x
mov_sat r0.w, r0_abs.y
mul r0.z, r0.z, r0.w
mul r0.w, r0.z, r0.z
mad r1.x, r0.w, c20.y, c20.z
mad r1.x, r0.w, r1.x, c20.w
mad r1.x, r0.w, r1.x, c21.x
mad r0.w, r0.w, r1.x, c21.y
mul r0.z, r0.w, r0.z
mad r0.w, r0.z, c21.z, c21.w
add r1.x, -r0_abs.y, c18.x
min r1.y, r0.y, c18.x
cmp r0.y, r1.y, c18.w, c18.x
cmp r1.x, r1.x, c18.w, c18.x
mad r0.z, r0.w, r1.x, r0.z
add r0.w, r0.z, r0.z
mad r0.y, r0.y, -r0.w, r0.z
mul r1.x, r0.y, c22.x
add r0.y, r0.x, -c12.x
add r0.x, -r0.x, c13.x
mov r2.x, c13.x
add r0.z, r2.x, -c12.x
rcp r0.z, r0.z
mul r0.y, r0.z, r0.y
rsq r0.y, r0.y
rcp r1.y, r0.y
texld r1, r1, s5
cmp r0.xyz, r0.x, r1, c18.x
mov r1.x, c17.x
mul r2.z, r1.x, c1.y
mov r2.yw, c18.x
mov r1.yz, c18
add r1.zw, r1.z, c16.xyxy
add r3.xy, -c16, v0
mad r3.zw, r1, c1.w, r3.xyxy
mul r2.zw, r2, r3
mad r2.zw, r2, c1.z, r1.y
texld r4, r2.zwzw, s2
mul r4.xyz, r4, c1.x
mul r2.x, r1.x, c0.y
mad r2.zw, r1, c0.w, r3.xyxy
mul r2.xy, r2, r2.zwzw
mad r2.xy, r2, c0.z, r1.y
texld r2, r2, s2
mad r2.xyz, c0.x, r2, r4
mul r4.x, r1.x, c2.y
mov r4.yw, c18.x
mad r3.zw, r1, c2.w, r3.xyxy
mul r3.zw, r4.xyxy, r3
mad r3.zw, r3, c2.z, r1.y
texld r5, r3.zwzw, s2
mad r2.xyz, c2.x, r5, r2
mul r4.z, r1.x, c3.y
mad r3.zw, r1, c3.w, r3.xyxy
mul r3.zw, r4, r3
mad r3.zw, r3, c3.z, r1.y
texld r4, r3.zwzw, s2
mad r2.xyz, c3.x, r4, r2
mul r4.x, r1.x, c4.y
mov r4.yw, c18.x
mad r3.zw, r1, c4.w, r3.xyxy
mul r3.zw, r4.xyxy, r3
mad r3.zw, r3, c4.z, r1.y
texld r5, r3.zwzw, s3
mad r2.xyz, c4.x, r5, r2
mul r4.z, r1.x, c5.y
mad r3.zw, r1, c5.w, r3.xyxy
mul r3.zw, r4, r3
mad r3.zw, r3, c5.z, r1.y
texld r4, r3.zwzw, s3
mad r2.xyz, c5.x, r4, r2
mul r4.x, r1.x, c6.y
mad r3.zw, r1, c6.w, r3.xyxy
mov r4.yw, c18.x
mul r3.zw, r3, r4.xyxy
mad r3.zw, r3, c6.z, r1.y
texld r5, r3.zwzw, s3
mad r2.xyz, c6.x, r5, r2
mad r3.zw, r1, c7.w, r3.xyxy
dp2add r0.w, r1.zwzw, r1.zwzw, c18.w
rsq r0.w, r0.w
rcp r0.w, r0.w
add r0.w, -r0.w, c18.x
max r1.z, r0.w, c18.w
mul r4.z, r1.x, c7.y
mul r3.zw, r4, r3
mad r3.zw, r3, c7.z, r1.y
texld r4, r3.zwzw, s3
mad r2.xyz, c7.x, r4, r2
mul r4.z, r1.x, c11.y
mov r4.yw, c18.x
mul r3.zw, r3.xyxy, r4
mul r3.zw, r3, c11.z
mad r3.zw, r3, c9.x, r1.y
texld r5, r3.zwzw, s0
mul r5.xyz, r5, c11.x
mul r4.x, r1.x, c10.y
mul r1.xw, r3.xyzy, r4.xyzy
mul r1.xw, r1, c10.z
mad r1.xy, r1.xwzw, c9.x, r1.y
texld r3, r1, s1
mad r1.xyw, c10.x, r3.xyzz, r5.xyzz
mad r0.w, r1.z, c19.x, c19.y
mul r1.z, r1.z, r1.z
mul r0.w, r0.w, r1.z
mad r1.xyz, r2, r0.w, r1.xyww
texld r2, c16, s4
add r0.w, r2.x, -c18.x
cmp r1.xyz, r0.w, r1, c18.w
mul r0.xyz, r0, r1
cmp oC0.xyz, -c14.x, r1, r0
mov oC0.w, c18.x

"
}
SubProgram "d3d11 " {
// Stats: 82 math, 12 textures
SetTexture 0 [sunFlare] 2D 1
SetTexture 1 [sunSpikes] 2D 0
SetTexture 2 [sunGhost1] 2D 2
SetTexture 3 [sunGhost2] 2D 3
SetTexture 4 [_customDepthTexture] 2D 4
SetTexture 5 [_Sky_Transmittance] 2D 5
ConstBuffer "$Globals" 336
Matrix 160 [ghost1Settings]
Matrix 224 [ghost2Settings]
Vector 96 [_Globals_WorldCameraPos] 3
Float 124 [sunGlareScale]
Vector 128 [flareSettings] 3
Vector 144 [spikesSettings] 3
Float 288 [Rg]
Float 292 [Rt]
Float 296 [useTransmittance]
Vector 304 [_Sun_WorldSunDir] 3
Vector 320 [sunViewPortPos] 3
Float 332 [aspectRatio]
BindCB  "$Globals" 0
"ps_4_0
root12:agabagaa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"
}
SubProgram "gles " {
"!!GLES"
}
SubProgram "gles3 " {
"!!GLES3"
}
SubProgram "glcore " {
"!!GL3x"
}
}
 }
}
}